Skip to Content
veriom

Custom skill options

What a custom skill can be built from, and how many this workspace may keep.

GET
/v1/workspaces/{workspace_id}/skills/custom/options

What a custom skill can be built from, and how many this workspace may keep.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
can_manage*Can Manage
categories*array<>
foundations*array<>

The reviewed skills a custom skill can build on.

limit*Limit
reads*array<>
used*Used
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/skills/custom/options'
Example Response
{  "can_manage": true,  "categories": [    {      "label": "string",      "value": "string"    }  ],  "foundations": [    {      "description": "string",      "id": "string"    }  ],  "limit": 0,  "reads": [    {      "label": "string",      "value": "string"    }  ],  "used": 0}